cdebconf (0.279ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2111984). Remaining changes:
    - Allow to build without udeb packages.
    - Read newt palette from /etc/newt/palette, symlinked at
      initialisation according to FRONTEND_BACKGROUND.

 -- Simon Poirier <simon.poirier@canonical.com>  Thu, 17 Jul 2025 19:29:14 -0400

cdebconf (0.279) unstable; urgency=medium

  * Team upload.

  [ Updated translations ]
  * Belarusian (be.po) by Joe
  * Kabyle (kab.po) by ButterflyOfFire
  * Russian (ru.po) by vladiruzz
  * Uyghur (ug.po) by Abduqadir Abliz

 -- Holger Wansing <hwansing@mailbox.org>  Wed, 25 Jun 2025 20:17:54 +0200

cdebconf (0.278) unstable; urgency=medium

  * Team upload.

  [ Updated translations ]
  * Persian (fa.po) by Danial Behzadi
  * Hungarian (hu.po) by Szia Tomi
  * Italian (it.po) by Giuseppe Sacco
  * Polish (pl.po) by Matthaiks
  * Serbian (sr.po) by Мирослав Николић

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 01 Apr 2025 00:39:22 +0200

cdebconf (0.277ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2098790). Remaining changes:
    - Allow to build without udeb packages.
    - Read newt palette from /etc/newt/palette, symlinked at
      initialisation according to FRONTEND_BACKGROUND.

 -- Mateus Rodrigues de Morais <mateus.morais@canonical.com>  Tue, 18 Feb 2025 15:15:21 -0300

cdebconf (0.277) unstable; urgency=medium

  * Team upload.

  [ Alper Nebi Yasak ]
  * Avoid error when exiting debconf priority question with Esc

 -- Holger Wansing <hwansing@mailbox.org>  Wed, 01 Jan 2025 22:13:27 +0100

cdebconf (0.276) unstable; urgency=medium

  * Fix detection of whether debconf is installed (closes: #1091366).

 -- Colin Watson <cjwatson@debian.org>  Wed, 25 Dec 2024 23:33:54 +0000

cdebconf (0.275) unstable; urgency=medium

  [ Gioele Barabucci ]
  * confmodule: Align debconf's and cdebconf's confmodule (closes: #1040216,
    #1040224).

  [ Updated translations ]
  * Hungarian (hu.po) by Szia Tomi
  * Romanian (ro.po) by Remus-Gabriel Chelu

 -- Colin Watson <cjwatson@debian.org>  Tue, 24 Dec 2024 00:15:53 +0000

cdebconf (0.274ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2090950). Remaining changes:
    - Allow to build without udeb packages.
    - Read newt palette from /etc/newt/palette, symlinked at
      initialisation according to FRONTEND_BACKGROUND.

 -- Mateus Rodrigues de Morais <mateus.morais@canonical.com>  Tue, 03 Dec 2024 15:04:43 -0300

cdebconf (0.274) unstable; urgency=medium

  * Team upload.

  [ Updated translations ]
  * Estonian (et.po) by Kristjan Räts
  * Punjabi (Gurmukhi) (pa.po) by Aman Alam

 -- Holger Wansing <hwansing@mailbox.org>  Fri, 29 Nov 2024 22:01:37 +0100

cdebconf (0.273) unstable; urgency=medium

  [ Updated translations ]
  * Hungarian (hu.po) by Szia Tomi
  * Indonesian (id.po) by Andika Triwidada
  * Georgian (ka.po) by Temuri Doghonadze

 -- Cyril Brulebois <kibi@debian.org>  Sat, 02 Nov 2024 21:20:29 +0100

cdebconf (0.272ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable (LP: #2073893). Remaining changes:
    - Allow to build without udeb packages.
    - Read newt palette from /etc/newt/palette, symlinked at
      initialisation according to FRONTEND_BACKGROUND.

 -- Mateus Rodrigues de Morais <mateus.morais@canonical.com>  Tue, 23 Jul 2024 11:25:44 -0300

cdebconf (0.272) unstable; urgency=medium

  * Team upload.

  [ Updated translations ]
  * Catalan (ca.po) by victor dargallo
  * Hebrew (he.po) by Yaron Shahrabani
  * Georgian (ka.po) by Temuri Doghonadze
  * Punjabi (Gurmukhi) (pa.po) by Aman Alam

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 28 May 2024 18:42:05 +0200

cdebconf (0.271ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:29:25 +0000

cdebconf (0.271ubuntu2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:04:01 +0000

cdebconf (0.271ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Allow to build without udeb packages.
    - Read newt palette from /etc/newt/palette, symlinked at
      initialisation according to FRONTEND_BACKGROUND.
  * Dropped changes, no longer relevant since udebs are not built:
    - Install palettes for [original, dark, ubuntu].
    - Install a default /etc/newt/palette symlink to
      /etc/newt/palette.ubuntu.
    - Don't build cdebconf-{gtk,newt}-udeb on i386.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Wed, 29 Nov 2023 16:39:23 -0500

cdebconf (0.271) unstable; urgency=medium

  * Team upload.

  [ Updated translations ]
  * Georgian (ka.po) by Temuri Doghonadze
  * Malayalam (ml.po) by Anish Sheela
  * Polish (pl.po) by Matthaiks

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 23 Sep 2023 20:44:21 +0200

cdebconf (0.270ubuntu1) mantic; urgency=medium

  * Merge with Debian
    - Drop fuzzy translation for Tibetan, as was done in Debian in 2016
    - Remaining changes:
      + Read newt palette from /etc/newt/palette, symlinked at
        initialisation according to FRONTEND_BACKGROUND.
      + Install palettes for [original, dark, ubuntu].
      + Install a default /etc/newt/palette symlink to
        /etc/newt/palette.ubuntu.
      + Don't build cdebconf-{gtk,newt}-udeb on i386.
      + Allow to build without udeb packages.

 -- Adrien Nader <adrien.nader@canonical.com>  Tue, 04 Jul 2023 13:59:53 +0200

cdebconf (0.270) unstable; urgency=medium

  [ Cyril Brulebois ]
  * gtk: Improve banner display when the installer logo's width doesn't
    match the GTK window's width (See: #745359). Implement the following:
     - No longer scale the installer logo, ever.
     - If the logo is wider than the window, don't do anything. This can
       happen with some graphics drivers under UEFI, e.g. when using a
       small resolution like 640×480 with the virtio graphics driver. In
       such cases, the logo is centered and is truncated on both sides.
     - If the logo is narrower than the window, repeat the left-most 1-px
       column to the left and/or the right-most 1-px column to the right,
       to cover the whole window (see expand-direction below).
  * gtk: Add support for banner metadata (See: #1036321). Until now,
    depending on the logo design, the cdebconf code needed to be tweaked
    to align the banner label (e.g. used to display “Rescue mode”) to the
    left or to the right accordingly. Now, look for a logo_installer.ini
    file in the same directory as the logo file(s), supporting two keys
    under the [banner] section:
     - label-position: left or right;
     - expand-direction: left, right, or both.
  * gtk: It is recommended to ship a banner metadata file matching the
    logo design. If it is missing, or if it doesn't contain all supported
    keys, the default settings have been arbitrarily set to the following
    values, which are giving appropriate results with the Bookworm theme
    (Emerald):
     - label-position: right;
     - expand-direction: both.

  [ Updated translations ]
  * Belarusian (be.po) by Viktar Siarheichyk
  * Bengali (bn.po) by Indrani Roy
  * Norwegian Nynorsk (nn.po) by Yngve Spjeld-Landro

 -- Cyril Brulebois <kibi@debian.org>  Tue, 23 May 2023 12:00:51 +0200

cdebconf (0.269) unstable; urgency=medium

  [ Updated translations ]
  * Georgian (ka.po) by Temuri Doghonadze

 -- Cyril Brulebois <kibi@debian.org>  Wed, 26 Apr 2023 00:54:54 +0200

cdebconf (0.268) unstable; urgency=medium

  [ Updated translations ]
  * Macedonian (mk.po) by Kristijan Fremen Velkovski

 -- Cyril Brulebois <kibi@debian.org>  Wed, 29 Mar 2023 14:28:09 +0200

cdebconf (0.267ubuntu1) lunar; urgency=medium

  * Merge with Debian; remaining changes:
    - Read newt palette from /etc/newt/palette, symlinked at initialisation
      according to FRONTEND_BACKGROUND.
    - Install palettes for [original, dark, ubuntu].
    - Install a default /etc/newt/palette symlink to
      /etc/newt/palette.ubuntu.
    - Don't build cdebconf-{gtk,newt}-udeb on i386.
    - Allow to build without udeb packages.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 18 Feb 2023 12:22:25 +0100

cdebconf (0.267) unstable; urgency=medium

  [ Updated translations ]
  * Spanish (es.po) by gallegonovato
  * Macedonian (mk.po) by Kristijan Fremen Velkovski

 -- Cyril Brulebois <kibi@debian.org>  Wed, 15 Feb 2023 16:50:49 +0100

cdebconf (0.266) unstable; urgency=medium

  * Team upload.

  [ Holger Wansing ]
  * Fix missing GPL-2+ license in d/copyright. Closes: #1019919
  * Revert 'No longer depend on debconf' for now (Closes: #1026858).

  [ Updated translations ]
  * Greek (el.po) by george kitsoukakis
  * Persian (fa.po) by Danial Behzadi
  * Kazakh (kk.po) by Baurzhan Muftakhidinov
  * Polish (pl.po) by Matthaiks

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 31 Dec 2022 15:15:11 +0100

cdebconf (0.265) unstable; urgency=medium

  * Team upload.

  [ Samuel Thibault ]
  * Make gbp tag produce the right tag format.
  * text: During progression, provide user feedback at least every minute.
  * newt: Align more items on top-left in braille mode.

  [ Gioele Barabucci ]
  * No longer depend on debconf (Closes: #1006492, #328498).

  [ Updated translations ]
  * Catalan (ca.po) by d
  * Norwegian Nynorsk (nn.po) by anonymous

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 19 Nov 2022 23:47:52 +0100

cdebconf (0.264ubuntu1) kinetic; urgency=medium

  * Merge with Debian; remaining changes:
    - Read newt palette from /etc/newt/palette, symlinked at initialisation
      according to FRONTEND_BACKGROUND.
    - Install palettes for [original, dark, ubuntu].
    - Install a default /etc/newt/palette symlink to
      /etc/newt/palette.ubuntu.
    - Don't build cdebconf-{gtk,newt}-udeb on i386.
    - Allow to build without udeb packages.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 25 Aug 2022 10:19:35 +0200

cdebconf (0.264) unstable; urgency=medium

  * Team upload.

  * Add missing changelog entries (translation updates) for 0.263 changelog

  [ Updated translations ]
  * Vietnamese (vi.po) by Trần Ngọc Quân

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 21 Aug 2022 16:56:59 +0200

cdebconf (0.263) unstable; urgency=medium

  * text: Add default marker in selection.
  * newt: Align dialogs on the left when brltty is running.

  [ Updated translations ]
  * Catalan (ca.po) by d
  * Basque (eu.po) by Gontzal Manuel Pujana Onaindia
  * Galician (gl.po) by Jorge Teijeiro
  * Norwegian Nynorsk (nn.po) by aujawindar
  * Simplified Chinese (zh_CN.po) by Wenbin Lv

 -- Samuel Thibault <sthibault@debian.org>  Sun, 12 Jun 2022 19:55:01 +0200

cdebconf (0.262) unstable; urgency=medium

  * Team upload.

  [ Holger Wansing ]
  * Add missing changelog entries for 0.261

  [ Samuel Thibault ]
  * text: Use libreadline and history to allow choosing with arrows
    (Closes: #791719).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 14 Apr 2022 00:36:19 +0200

cdebconf (0.261ubuntu1) jammy; urgency=medium

  * Merge with Debian; remaining changes:
    - Read newt palette from /etc/newt/palette, symlinked at initialisation
      according to FRONTEND_BACKGROUND.
    - Install palettes for [original, dark, ubuntu].
    - Install a default /etc/newt/palette symlink to
      /etc/newt/palette.ubuntu.
    - Don't build cdebconf-{gtk,newt}-udeb on i386.
    - Allow to build without udeb packages.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 04 Feb 2022 22:56:59 +0100

cdebconf (0.261) unstable; urgency=medium

  * Team upload.

  [ Samuel Thibault ]
  * Make gbp produce the right tag format
  * text: make steps interruptible (Closes: #998424).

  [ Simon McVittie ]
  * gtk: Remove "check NULL" comments

  [ Philip Hands ]
  * Enable salsa-ci with branch2repo

 -- Samuel Thibault <sthibault@debian.org>  Fri, 12 Nov 2021 20:25:16 +0100

cdebconf (0.260) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Lithuanian (lt.po) by Gediminas Murauskas

 -- Holger Wansing <hwansing@mailbox.org>  Thu, 08 Jul 2021 09:34:41 +0200

cdebconf (0.259) unstable; urgency=medium

  [ Simon McVittie ]
  * Revert “Postpone adding text to GtkTextView until GTK has done initial
    layout” change from the previous version, as it triggers a regression
    regarding the entry getting the focus (Closes: #988951).
  * Work around #988787 in a different way, intercepting the size-request
    event and adjusting the requested width to a minimum of 300 pixels.
    This seems sufficient  to avoid the infinite loop in GTK (#988786).

  [ Cyril Brulebois ]
  * Huge thanks to Simon McVittie for the incredible support! (again)
  * Normal installation and rescue tests have been run in many languages,
    and the trivial hangs that both 0.258 and 0.259 aim at fixing could no
    longer be produced. As usual, bug reports are more than welcome if
    some hang is still hidden somewhere!

 -- Cyril Brulebois <kibi@debian.org>  Mon, 24 May 2021 04:18:08 +0200

cdebconf (0.258) unstable; urgency=medium

  [ Simon McVittie ]
  * Capture new-style GLib structured logging messages, ensuring that we
    stop losing messages generated by libraries using that structured
    logging (ie. GLib and Pango) instead of the old text-based logging
    (i.e. GTK 2) (Closes: #988589).
  * Postpone adding text to GtkTextView until GTK has done initial layout,
    to avoid running into an infinite loop that would result in only the
    title being displayed, and a hang of the installer (Closes: #988787).
    This fixes a number of scenarios including:
    - Hang before offering a shell in rescue mode [en] (Closes: #987377).
    - Hang immediately with Sinhala and other languages (Closes: #987449).
    - Hang in various places with Swedish (mirror selection or package
      manager configuration).

  [ Cyril Brulebois ]
  * Huge thanks to Simon McVittie for the incredible support!
  * Align the display of info messages (e.g. “Rescue mode”) to the right
    again, since Debian (logo and name) is back on the left side with the
    Homeworld theme.
  * Implement workaround to ensure info messages (e.g. “Rescue mode”) get
    displayed on the banner on the start-up screen (Closes: #882804).

  [ Updated translations ]
  * Japanese (ja.po) by Nozomu KURASAWA

 -- Cyril Brulebois <kibi@debian.org>  Thu, 20 May 2021 06:56:57 +0200

cdebconf (0.257) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Greek (el.po) by Michalis
  * Tamil (ta.po) by Vasudevan Tirumurti

 -- Holger Wansing <hwansing@mailbox.org>  Fri, 19 Mar 2021 19:21:24 +0100

cdebconf (0.256ubuntu4) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:10:03 +0200

cdebconf (0.256ubuntu3) hirsute; urgency=medium

  * Allow to build without udeb packages.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 25 Feb 2021 13:33:22 +0100

cdebconf (0.256ubuntu2) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 10:30:25 +0100

cdebconf (0.256ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Read newt palette from /etc/newt/palette, symlinked at initialisation
      according to FRONTEND_BACKGROUND.
    - Install palettes for [original, dark, ubuntu].
    - Install a default /etc/newt/palette symlink to
      /etc/newt/palette.ubuntu.
    - Don't build cdebconf-{gtk,newt}-udeb on i386.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 06 Jan 2021 18:01:37 -0800

cdebconf (0.256) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Greek (el.po) by george k
  * Basque (eu.po) by Iñaki Larrañaga Murgoitio
  * Occitan (oc.po) by Quentin PAGÈS
  * Romanian (ro.po) by Sergiu

 -- Holger Wansing <hwansing@mailbox.org>  Wed, 30 Dec 2020 22:45:44 +0100

cdebconf (0.255ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Read newt palette from /etc/newt/palette, symlinked at initialisation
      according to FRONTEND_BACKGROUND.
    - Install palettes for [original, dark, ubuntu].
    - Install a default /etc/newt/palette symlink to
      /etc/newt/palette.ubuntu.
    - Don't build cdebconf-{gtk,newt}-udeb on i386.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 05 Nov 2020 15:59:19 -0800

cdebconf (0.255) unstable; urgency=medium

  [ Samuel Thibault ]
  * Make text interface print < 10% progress so the user knows it is in
    progress as soon as the beginning.
  * Make sure that after text asks questions it shows that we are back to
    progressing.

  [ Updated translations ]
  * Persian (fa.po) by سهیل خانعلی‌پور

  [ New translations ]
  * Kabyle (kab.po) by Slimane Selyan Amiri
  * Occitan (oc.po) by Quentin PAGÈS

 -- Holger Wansing <hwansing@mailbox.org>  Wed, 28 Oct 2020 23:16:46 +0100

cdebconf (0.254ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Read newt palette from /etc/newt/palette, symlinked at initialisation
      according to FRONTEND_BACKGROUND.
    - Install palettes for [original, dark, ubuntu].
    - Install a default /etc/newt/palette symlink to
      /etc/newt/palette.ubuntu.
    - Don't build cdebconf-{gtk,newt}-udeb on i386.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 24 Oct 2020 17:11:51 -0700

cdebconf (0.254) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Estonian (et.po) by Kristjan Räts
  * Persian (fa.po) by سهیل خانعلی‌پور
  * Hebrew (he.po) by Yaron Shahrabani

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 20 Sep 2020 00:21:47 +0200

cdebconf (0.253) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Hindi (hi.po) by Sanket Pardhi
  * Marathi (mr.po) by Sanket Pardhi

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 05 Jul 2020 21:36:47 +0200

cdebconf (0.252ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Read newt palette from /etc/newt/palette, symlinked at initialisation
      according to FRONTEND_BACKGROUND.
    - Install palettes for [original, dark, ubuntu].
    - Install a default /etc/newt/palette symlink to
      /etc/newt/palette.ubuntu.
    - Don't build cdebconf-{gtk,newt}-udeb on i386.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 09 Jun 2020 13:14:47 -0700

cdebconf (0.252) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Add missing ${misc:Depends} to Depends for cdebconf-priority.
  * Wrap long lines in changelog entries: 0.48, 0.24.
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.

  [ Updated translations ]
  * Hebrew (he.po) by Yaron Shahrabani
  * Korean (ko.po) by Changwoo Ryu
  * Dutch (nl.po) by Frans Spiesschaert

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 10 May 2020 17:45:10 +0200

cdebconf (0.251ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Read newt palette from /etc/newt/palette, symlinked at initialisation
      according to FRONTEND_BACKGROUND.
    - Install palettes for [original, dark, ubuntu].
    - Install a default /etc/newt/palette symlink to
      /etc/newt/palette.ubuntu.
    - Don't build cdebconf-{gtk,newt}-udeb on i386.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 01 Feb 2020 21:18:17 -0800

cdebconf (0.251) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Czech (cs.po) by Miroslav Kure
  * Marathi (mr.po) by Prachi Joshi

 -- Holger Wansing <hwansing@mailbox.org>  Fri, 31 Jan 2020 23:08:40 +0100

cdebconf (0.250ubuntu2) focal; urgency=medium

  * Don't build cdebconf-{gtk,newt}-udeb on i386.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 20 Dec 2019 17:54:42 +0000

cdebconf (0.250ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Read newt palette from /etc/newt/palette, symlinked at initialisation
      according to FRONTEND_BACKGROUND.
    - Install palettes for [original, dark, ubuntu].
    - Install a default /etc/newt/palette symlink to
      /etc/newt/palette.ubuntu.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 25 Oct 2019 21:15:28 -0700

cdebconf (0.250) unstable; urgency=medium

  * Team upload.

  [ Cyril Brulebois ]
  * Remove Christian Perrier from Uploaders, with many thanks for all
    his contributions over the years! (Closes: #927505)

  [ Holger Wansing ]
  * Remove trailing whitespaces from changelog and control file, to fix
    lintian tag.

  [ Updated translations ]
  * Croatian (hr.po) by gogogogi
  * Tajik (tg.po) by Victor Ibragimov

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 19 Oct 2019 23:13:58 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libdebconfclient0`.
